#25 Mepis 6.5 and hashup os data error

closed-fixed
5
2007-06-05
2007-06-04
gordy9
No

Hi

Running stable 1.2.9 on Mepis 6.5 gives an os dat error and an unusual, for me, response on running hashupd, of Debian stable.

------
outputs

output (1) for stable 1.2.9 rkhunter -c -sk
root@1[gordy]# rkhunter -c -sk
Rootkit Hunter 1.2.9 is running
Determining OS... Unknown
Warning: This operating system is not fully supported!
All MD5 checks will be skipped!

Checking binaries
* Selftests
Strings (command) [ OK ]

-----Balance deleted as irrelevant (I hope)
_____

ouput (2) running a hashup.d against the stable rkh

root@1[files]# sh /home/gordy/hashupd.sh
[INFO] Found release: "Debian stable (i386)"
[INFO] "Debian stable (i386)" wasn't found in /var/lib/rkhunter/db/os.dat.
[INFO] "Debian stable (i386)" has local number 986.
[INFO] Found md5sum at /usr/bin/md5sum
[INFO] Found sha1sum at /usr/bin/sha1sum
[INFO] Adding distribution/release "Debian stable (i386)" to "/var/lib/rkhunter/db/os.dat"
[INFO] Looking for 65 hashes.
[WARN] Found 49 of 65 hashes, 0 errors found.
[INFO] added new hashes.

BTW contents of file /etc/debian-version says its ....stable......Is this the source for hashupd??

_____

ouput (3) running uname -a
Linux mepis1 2.6.15-27-desktop #1 PREEMPT Sun Mar 11 21:36:14 EDT 2007 i686 GNU/Linux

Recent for submission ....to see what is being used to create the os.dat entry?

thanks for any support you can offer.

I can submit more outputs is you wish.

Related

Files: files

Discussion

  • John Horne

    John Horne - 2007-06-04
    • assigned_to: nobody --> jhorne
    • status: open --> closed-fixed
     
  • John Horne

    John Horne - 2007-06-04

    Logged In: YES
    user_id=665381
    Originator: NO

    I have updated the os.dat file to include Debian stable for several architectures. You will still need to run hashhupd.sh, but it and RKH should now say that the O/S is recognised.

    Can you let me know with Mepis whether the file /etc/debian_version or /etc/debian-version exists please? At present we use debian_version, but it may be that Mepis uses debian-version.

    Thanks,

    John.

     
  • gordy9

    gordy9 - 2007-06-05
    • status: closed-fixed --> open-fixed
     
  • gordy9

    gordy9 - 2007-06-05

    Logged In: YES
    user_id=1807855
    Originator: YES

    thanks for speedy reply

    correction to initial post...Mepis 6.5 uses /etc/debian_release (understem and not hyphen)

    cheerio

     
  • John Horne

    John Horne - 2007-06-05

    Logged In: YES
    user_id=665381
    Originator: NO

    Okay, final question hopefully. Could you send me the output of the following command please:

    ls -ld /etc/*release* /etc/*version*

    Thanks,

    John.

     
  • gordy9

    gordy9 - 2007-06-05

    Logged In: YES
    user_id=1807855
    Originator: YES

    John

    gordy@1[~]$ ls -ld /etc/*release* /etc/*version*
    -rw-r--r-- 1 root root 7 2007-01-28 10:22 /etc/debian_version
    -rw-r--r-- 1 root root 103 2006-08-03 16:20 /etc/lsb-release

    cheerio

     
  • John Horne

    John Horne - 2007-06-05
    • status: open-fixed --> closed-fixed
     
  • John Horne

    John Horne - 2007-06-05

    Logged In: YES
    user_id=665381
    Originator: NO

    Okay, thanks.

    John.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks